package cn.reghao.tnb.content.app.exam.model.constant;

import java.util.HashMap;
import java.util.Map;

/**
 * @author reghao
 * @date 2024-08-25 14:52:04
 */
public enum QuestionLevel {
    EASY(1, "简单"),
    MEDIUM(2, "中等"),
    HARD(3, "困难");

    private final int code;
    private final String desc;
    private static Map<Integer, String> descMap = new HashMap<>();
    static {
        for (QuestionLevel level : QuestionLevel.values()) {
            descMap.put(level.code, level.desc);
        }
    }

    QuestionLevel(Integer code, String desc) {
        this.code = code;
        this.desc = desc;
    }

    public String getName() {
        return this.name();
    }

    /**
     * 提供给 @ValidEnum 调用
     *
     * @param
     * @return
     * @date 2023-10-11 14:44:42
     */
    public int getValue() {
        return this.code;
    }

    public Integer getCode() {
        return code;
    }

    public String getDesc() {
        return desc;
    }

    public static String getDescByCode(int code) {
        return descMap.get(code);
    }
}
